org.apache.cassandra.concurrent

## Interface LocalAwareExecutorService

All Superinterfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService

All Known Implementing Classes:
  AbstractLocalAwareExecutorService, DebuggableThreadPoolExecutor, JMXConfigurableThreadPoolExecutor, JMXEnabledThreadPoolExecutor, SEPExecutor

    public interface LocalAwareExecutorService
    extends java.util.concurrent.ExecutorService

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `execute(java.lang.Runnable command, ExecutorLocals locals)`
`void` `maybeExecuteImmediately(java.lang.Runnable command)`

### Methods inherited from interface java.util.concurrent.ExecutorService

`awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow, submit, submit, submit`

### Methods inherited from interface java.util.concurrent.Executor

`execute`

### Method Detail

#### execute

    void execute(java.lang.Runnable command,
                 ExecutorLocals locals)

#### maybeExecuteImmediately

    void maybeExecuteImmediately(java.lang.Runnable command)